--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The Connection on which the command will be run
  name: connection
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Abstract base class for adapter-specific Command subclasses
constants: []

full_name: DataObjects::Command
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: execute_non_query
- !ruby/object:RI::MethodSummary 
  name: execute_reader
- !ruby/object:RI::MethodSummary 
  name: set_types
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Command
superclass: Object
